
Katello - Bug #23785

Do not log large response bodies

06/01/2018 04:38 PM - Thomas McKay

Status: Duplicate   

Priority: Normal   

Assignee: Thomas McKay   

Category: Container   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The concerns/api/api_controller.rb has a debug statement in process_action method. When docker pull directly against server (not

crane :5000) the blobs (large binary data) is logged. Needs to be a way to either override this method or skip large bodies.

Related issues:

Related to Katello - Bug #24370: PUT requests content is logged in info level Closed

History

#1 - 06/06/2018 05:59 PM - John Mitsch

- Category set to Container

- Assignee set to Thomas McKay

- translation missing: en.field_release set to 349

#2 - 06/14/2018 04:43 PM - Stephen Benjamin

Also happens for uploading packages/puppet modules, really ugly:

16:41:24 rails.1   | 2018-06-14T16:41:24 [D|app|e1d01] Setting current user thread-local variable to admin

16:41:24 rails.1   | 2018-06-14T16:41:24 [I|kat|e1d01] PUT: https://centos7-devel.zpm.example.com/pulp/a露
#3 - 07/24/2018 01:38 PM - Thomas McKay

- Status changed from New to Duplicate

Fixed in duplicate https://projects.theforeman.org/issues/23835

#4 - 07/24/2018 05:39 PM - Anonymous

- Related to Bug #24370: PUT requests content is logged in info level added

#5 - 07/31/2018 02:34 PM - Stephen Benjamin

- Status changed from Duplicate to New

Not a duplicate.  The fix in #23835 only fixes one case.   Uploading RPM's, files, etc to a repository still get logged.

#6 - 07/31/2018 02:35 PM - Stephen Benjamin

- Status changed from New to Duplicate

Er nevermind, just leave this is a duplicate and #24370 can be used for repository uploading.

#7 - 08/07/2018 07:19 PM - Samir Jha

- Target version changed from Katello 3.8.0 to Katello Recycle Bin
